import request from '@/utils/request'

// 获取列表
export function noPayList(params) {
  return request({
    url: '/orders/get_no_pay_orders',
    method: 'get',
    params
  })
}

// 未付款通知
export function sendMessage(params) {
  return request({
    url: '/orders/send_no_pay_info',
    method: 'get',
    params
  })
}

// 未付款通知
export function setMessageToggle(data) {
  return request({
    url: '/orders/open_auto_pay',
    method: 'post',
    data
  })
}

// 未支付消息状态
export function messageStatus() {
  return request({
    url: '/orders/get_auto_pay_status',
    method: 'get'
  })
}

// 未支付消息状态
export function sendOrderPay() {
  return request({
    url: '/order/send_all_nopayinfo',
    method: 'get'
  })
}
